<?php

// Página
$direct = 'user';

if (!empty($_GET['id'])) {
    // Checa se o usuário possui acesso na página
    Util::verificaAcesso('cms-' . $direct, 'editar', '?i=cms-' . $direct);
}

if (isset($_GET['id'])) {
    $objUser = Usuario::buscar(@$_GET['id']);
} else {
    $objUser = Usuario::buscar($_SESSION['sesCMSCodigo']);
}

if (!$objUser) {
    Message::error('Registro não encontrado.');
    Util::redirect(Util::baseUrl() . 'cms/?i=cms-' . $direct);
}

// Mensagem de Retorno
require_once $GLOBALS['baseDir'] . 'includes/mensagens.php';

// Modal excluir registro
require_once $GLOBALS['baseDir'] . 'includes/modal/excluir-registro.php';

// Lista de perfis
$objPerfil = new Perfil();
$arrAux = $objPerfil->listar();

$selected = false;
if ($arrAux > 0) {
    for ($i = 0; $i < sizeof($arrAux); ++$i) {
        if ((false !== in_array($_SESSION['sesCMSIdPerfil'], array(1, 2)) && $arrAux[$i]->id >= $_SESSION['sesCMSIdPerfil'])
            || ($arrAux[$i]->id > $_SESSION['sesCMSIdPerfil'])) {
            $lista[$arrAux[$i]->id] = $arrAux[$i]->nome;
            if ($arrAux[$i]->id == $objUser->perfil) {
                $selected = $arrAux[$i]->id;
            }
        }
    }
}

$condicao = in_array($_SESSION['sesCMSIdPerfil'], array(1, 2, 3)) && $objUser->id != $_SESSION['sesCMSCodigo'];
$div = $condicao ? 'col-md-2' : 'col-md-3';
$class = $condicao ? 'tres' : 'dois';

echo Form::open($GLOBALS['baseUrl'] . '?i=cms-' . $direct . '-processo&t=editar', array('name' => 'form', 'id' => 'form', 'class' => 'form bg clearfix'));

    echo '<div class="wrapper">';
        echo '<div class="' . $div . '">';
            echo '<p>Nome: *</p>';
            echo Form::text('', 'nome', $objUser->nome, 255, array('class' => $class));
        echo '</div>';

        echo '<div class="' . $div . '">';
            echo '<p>E-mail: *</p>';
            echo Form::text('', 'email', $objUser->email, 255, array('class' => $class));
        echo '</div>';

        if (true != $condicao) :
            echo '<div class="' . $div . '">';
                echo '<p>Login: <small>(Caso deixe em branco, gera automático)</small></p>';
                echo Form::text('', 'login', $objUser->login, 255, array('class' => $class));
            echo '</div>';
        endif;
    echo '</div>';

    if (true == $condicao) :
        echo '<div class="wrapper">';
            echo '<div class="col-md-2">';
                echo '<p>Login: <small>(Caso deixe em branco, gera automático)</small></p>';
                echo Form::text('', 'login', $objUser->login, 255, array('class' => 'dois'));
            echo '</div>';

            echo '<div class="col-md-2">';
            echo '<p>Tipo: *</p>';
            echo Form::select('', 'perfil', array('value' => $lista), $objUser->perfil, array('class' => 'dois select hide-search'));
            echo '</div>';
        echo '</div>';
    else :
        echo Form::hidden('perfil', $objUser->perfil);
    endif;

    echo '<div class="wrapper">';
        echo '<div class="col-md-2">';
            echo '<p>Senha:</p>';
            echo Form::password('', 'senha', false, 255, array('class' => 'dois'));
        echo '</div>';

        echo '<div class="col-md-2">';
            echo '<p>Confirma Senha:</p>';
            echo Form::password('', 'confirmacao', false, 255, array('class' => 'dois'));
        echo '</div>';
    echo '</div>';

    echo Form::hidden('id', $objUser->id);

    echo Form::button('Salvar', array('class' => 'salvar'));
    echo Form::button('Voltar', array('class' => 'voltar', 'onclick' => "window.location='?i=cms-$direct';"));

echo Form::close();
?>

<script>
$('#busca').css('display', 'none');

$(".salvar").click(function () {
    var validacao = validaCampos('nome,email');

    if (validacao == true) {
        $(this).html('Enviando..');
        $(this).prop('disabled', true);
        $("#form").submit();
    }
});
</script>
